# Wireguard-UI
> wireguard的管理面板UI

## 安装(仅提供docker方式)

OS X & Linux & Windows:

```sh
# 先要创建一个配置文件 app.yaml
http:
  port: 6687
  endpoint: localhost:3100,localhost:6687

database:
  driver: sqlite    # sqlite时只填写db即可，目前仅支持sqlite | mysql | pgsql
  host:
  port:
  user:
  password:
  db: wg

cache:
  type: redis               # 缓存类型 暂时仅支持redis
  host: 192.168.1.1
  port: 6379
  password: pGhQKwj7DE7FbFL1
  db: 15

file:
  type: oss                      # 文件类型支持本地文件存储与阿里云oss存储
  path: test/                           # oss填写前缀目录
  endpoint:                        # oss必填
  accessId:                      # oss必填
  accessSecret:                  # oss必填
  bucketName:                    # oss必填

# 一些系统配置
wireguard:
  restartMode: DELAY
  delayTime: 20
  
# 其中依赖了redis等，自行安装一个即可
```

```sh
# 创建docker-compose.yaml
version: "3"

services:
  wg:
    image: gitea.mrx.ltd/go-pkg/wireguard-srv:2.1.0
    container_name: wg-srv
    restart: always
    cap_add:
      - NET_ADMIN
    network_mode: host
    logging:
      driver: json-file
      options:
        max-size: 50m
    volumes:
      - ./app.yaml:/app/app.yaml
      - ./db:/app/db
      - ./logs:/app/logs  
      - /etc/wireguard:/etc/wireguard
      - /etc/localtime:/etc/localtime  
```
```sh
默认账户密码
账户: admin
密码: admin123
```
## 配置示例
```text
  1. 邮箱配置如下：
     code: EMAIL_SMTP
     配置项：
        1. host: "xxxx.xxx"
        2. port: "123"
        3. user: "haha"
        4. password: "haha123"
        5. skipTls: "false"
```

## 页面展示
![img.png](document/img.png)
![img_1.png](document/img_1.png)
![img_7.png](document/img_7.png)
![img_8.png](document/img_8.png)
![img_2.png](document/img_2.png)
![img_3.png](document/img_3.png)
![img_4.png](document/img_4.png)
![img_5.png](document/img_5.png)
![img_6.png](document/img_6.png)